Bug 218285 - eject(1) does not change display on Palm OS 5.4.8 Drive Mode
eject(1) does not change display on Palm OS 5.4.8 Drive Mode
Product: Fedora
Classification: Fedora
Component: eject (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2006-12-04 08:52 EST by Patrick C. F. Ernzer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-04 19:08:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
in response to Comment #1 (238.99 KB, text/plain)
2006-12-05 09:57 EST, Patrick C. F. Ernzer
no flags Details

  None (edit)
Description Patrick C. F. Ernzer 2006-12-04 08:52:46 EST
Description of problem:
gnome-mount --eject does not change display on Palm OS 5.4.8 Drive Mode.
The device is unmounted, but the Palm still displays 'Do not unplug'

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. connect Palm (Tungsten T5, Palm OS 5.4.8)
2. start drive mode
3. gnome-mount --eject --pseudonym INTERNAL
Actual results:
device unmounted but display on Palm still says 'Do not unplug'

Expected results:
device unmounted and Palm to not display 'Do not unplug'

Additional info:
the man page gives me the impression this should work:
It can also be used to eject discs from CD drives and other devices that needs
to be ejected. For example,  iPod’s  needs  this  to make the "Do not
disconnect" message go away.
Comment 1 David Zeuthen 2006-12-04 10:44:24 EST
 1. please attach output of lshal when the device is plugged in
 2. after unmounting the device.. does 'eject /dev/sda' as root make the message
go away?
Comment 2 Patrick C. F. Ernzer 2006-12-05 09:57:32 EST
Created attachment 142850 [details]
in response to Comment #1

'eject /dev/sda' as root does not make the message go away
Comment 3 David Zeuthen 2006-12-05 13:18:38 EST
gnome-mount --eject just calls eject(1) through HAL. Reassigning to eject and
fixing up Summary.
Comment 4 Patrick C. F. Ernzer 2007-04-04 19:08:51 EDT
OK, just got hold of a Windows box and tried it there.
Seems we can not get this to work as even on what Palm dubs supported platform the display of the Palm 
does not change on eject.
Sorry about the bug

Note You need to log in before you can comment on or make changes to this bug.